Pull request:

Description

We need to update Passenger to 4.0.19 or similar. Glen's provided a spec file via #3197.

Related issues:

Related to Foreman - Bug #3197: passenger-status does not work. Closed
Blocks Foreman - Tracker #4447: Support installation on RHEL 7 Closed 02/25/2014
History

#1 - 10/04/2013 11:01 AM - Dominic Cleal
- Related to Bug #3197: passenger-status does not work. added

#2 - 10/04/2013 11:04 AM - Dominic Cleal

I'm having some problems with this at the moment, same as those | hit last time | tried to update to .10.

The agents have moved from agents/ in the build dir to buildout/agents/, and paths in lib/phusion_passenger.rb etc need updating to handle it, else
Passenger fails to start as it can't launch the agent process. There's a sed expression in the spec file that's meant to change these, but | think the
variables it tries to replace are out of date.

I'd prefer not to move them to buildout/agents/ in the resulting RPM as this will break the SELinux fcontexts as they expect only agents/.

Will test the new 4.0.18 RPM built for F20, as a code inspection looks like it might have the same problem. If not, it might be a good example to use
for how to fix it.

#3 - 10/07/2013 09:12 AM - Lukas Zapletal

Not to update them only for this release or forever?
#4 - 10/07/2013 09:16 AM - Dominic Cleal
Lukas Zapletal wrote:

Not to update them only for this release or forever?

Forever ideally, "buildout/" is just a dir from the build process, it shouldn't be visible in the final package.
#5 - 10/07/2013 03:32 PM - Dominic Cleal
Glen Ogilvie wrote:
One problem, you'll need to correct in that spec, is that when it tries to compress 3 of the man pages, it fails because they are already there as

part of the build | think.
You'll see, when you are testing. Feel free to diff it with the orginial.

#6 - 10/16/2013 03:58 PM - Greg Sutcliffe
- Target version deleted (1.4.0)
https://projects.theforeman.org/issues/3197

#7 - 02/25/2014 02:46 PM - Dominic Cleal
- Blocks Tracker #4447: Support installation on RHEL 7 added

#8 - 04/22/2014 03:49 PM - Dominic Cleal
- Status changed from Assigned to Closed
- Target version set to 1.8.4

- % Done changed from 0 to 100

- translation missing: en.field_release set to 4

Updated in nightly to 4.0.18 to match RHSCL 1.1. I'll push down into 1.5 and probably 1.4 in due course.

#9 - 05/07/2014 10:10 AM - Dominic Cleal

- translation missing: en.field_release changed from 4 to 17

#10 - 10/15/2018 01:47 PM - Tomer Brisker
- Category changed from 21 to Packaging
